Bug 1171947 - RFE: Squid - add '--enable-http-violations' configure option
Summary: RFE: Squid - add '--enable-http-violations' configure option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: squid
Version: 6.6
Hardware: x86_64
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Ondřej Pták
Christian Huffman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-09 04:33 UTC by Morgan Weetman
Modified: 2019-07-11 08:26 UTC (History)
8 users (show)

Fixed In Version: squid-3.1.23-4.el6
Doc Type: Enhancement
Doc Text:
squid supports hiding or rewriting HTTP headers The squid packages are now built with the "--enable-http-violations" option and allow the user to hide or rewrite HTTP headers.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:26:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1314 normal SHIPPED_LIVE squid bug fix and enhancement update 2015-07-20 17:53:27 UTC

Description Morgan Weetman 2014-12-09 04:33:39 UTC
Description of problem:
Customer would like to remove specific headers from responses, this requires squid to be built with '--enable-http-violations'. There should be no impact by adding this option. 

Customer case ref: 01312859

Comment 10 Ondřej Pták 2015-04-15 10:13:32 UTC
testing: squid-3.1.23-5.el6

without http violations:
========================

GET / HTTP/1.1
User-Agent: curl/7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.19.7 NSS/3.15.3 zlib/1.2.3 libidn/1.18 libssh2/1.4.2
Host: localhost
Accept: */*
Via: 1.1 rhel-6 (squid/3.1.23)
X-Forwarded-For: 127.0.0.1
Cache-Control: max-age=259200
Connection: keep-alive

with http violations:
request_header_access Accept deny all
=====================================

GET / HTTP/1.1
User-Agent: curl/7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.19.7 NSS/3.15.3 zlib/1.2.3 libidn/1.18 libssh2/1.4.2
Host: localhost
Via: 1.1 rhel-6 (squid/3.1.23)
X-Forwarded-For: 127.0.0.1
Cache-Control: max-age=259200
Connection: keep-alive


There will be automated test later.

Comment 12 errata-xmlrpc 2015-07-22 06:26:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1314.html


Note You need to log in before you can comment on or make changes to this bug.